Bug 1395151 - Puppet module appear in content view but doesn't appear in lifecycle
Summary: Puppet module appear in content view but doesn't appear in lifecycle
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Lifecycle Environments
Version: 6.2.4
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-15 09:49 UTC by Waldirio M Pinheiro
Modified: 2019-08-12 15:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
screen-lc-modules (26.22 KB, image/png)
2017-08-31 11:18 UTC, Peter Ondrejka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17402 0 None None None 2016-11-18 22:19:00 UTC

Description Waldirio M Pinheiro 2016-11-15 09:49:05 UTC
Description of problem:
Following the correct workflow, the puppet module should be visible in the lifecycle, but this one doesn't happen, appear in the content view and after this one be published and promoted to one specific lifecycle, the puppet module still doesn't appearing in the lifecycle.

Version-Release number of selected component (if applicable):
6.2.4

How reproducible:
100%

Steps to Reproduce:
1. Add puppet module into cv, publish
2. Promote this cv to one specific lifecycle
3. Open lifecycle and click on Puppet Modules tab
4. Will see the message "There are no Puppet Modules that match the criteria."

Actual results:
"There are no Puppet Modules that match the criteria."

Expected results:
See the puppet module

Additional info:

Comment 3 Brad Buckingham 2016-11-18 22:18:58 UTC
Created redmine issue http://projects.theforeman.org/issues/17402 from this bug

Comment 4 Brad Buckingham 2016-11-18 22:27:19 UTC
Proposed Katello PR: https://github.com/Katello/katello/pull/6464

Comment 5 Reartes Guillermo 2016-11-30 20:15:34 UTC
(also on 6.2.4)

In my case, the CV 'BASE RHEL7' has only 1 puppet module (stdlib from puppetlabs). 

The CV 'BASE RHEL7' is published and promoted to LIBRARY, DESA, PROD.

As the BZ Description says,
 * Open lifecycle and click on Puppet Modules tab
 * Will see the message "There are no Puppet Modules that match the criteria."

But there is one 'caveat', i only get the message "There are no Puppet Modules that match the criteria." when the filter is "All Content Views".

I changed it to 'BASE RHEL7', and i got the eternal spinning wheel instead....
In production.log a database error can be seen....

[...TRUNCATED...]
2016-11-30 17:02:20 [app] [I] Started GET "/katello/api/v2/repositories?content_type=puppet&content_view_id=3&environment_id=3&full_result=true&library=true&organization_id=3" for 10.10.0.10 at 2016-11-30 17:02:20 -0300
2016-11-30 17:02:20 [app] [I] Processing by Katello::Api::V2::RepositoriesController#index as JSON
2016-11-30 17:02:20 [app] [I]   Parameters: {"content_type"=>"puppet", "content_view_id"=>"3", "environment_id"=>"3", "full_result"=>"true", "library"=>"true", "organization_id"=>"3", "api_version"=>"v2"}
2016-11-30 17:02:20 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.82/app/views/katello/api/v2/repositories/index.json.rabl within katello/api/v2/layouts/collection (5.3ms)
2016-11-30 17:02:20 [app] [I] Completed 200 OK in 98ms (Views: 11.1ms | ActiveRecord: 26.9ms)
2016-11-30 17:02:20 [app] [I] Started GET "/katello/api/v2/puppet_modules?content_view_version_id=27&environment_id=3&library=true&page=1&search=" for 10.10.0.10 at 2016-11-30 17:02:20 -0300
2016-11-30 17:02:20 [app] [I] Processing by Katello::Api::V2::PuppetModulesController#index as JSON
2016-11-30 17:02:20 [app] [I]   Parameters: {"content_view_version_id"=>"27", "environment_id"=>"3", "library"=>"true", "page"=>"1", "search"=>"", "api_version"=>"v2"}
2016-11-30 17:02:20 [app] [E] PG::Error: ERROR:  el mensaje de enlace (bind) entrega 2 parámetros, pero la sentencia preparada «a7» requiere 1
 | 
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/postgresql_adapter.rb:834:in `get_last_result'
[...TRUNCATED...]
2016-11-30 17:02:20 [app] [I] Completed 500 Internal Server Error in 120ms (Views: 0.5ms | ActiveRecord: 32.2ms)


If i got to Content -> Content Views, BASE RHEL7 -> Puppet Modules, the 'stdlib' module is listed.

Cheers.

Comment 6 Peter Ondrejka 2017-08-31 11:17:30 UTC
Verified on Sat6.3 snap 13, after promoting a puppet cv to a lc environment, the associated module is displayed in lc details, see attached screenshot

Comment 7 Peter Ondrejka 2017-08-31 11:18:02 UTC
Created attachment 1320554 [details]
screen-lc-modules

Comment 8 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.